function eul=r_to_eul(R)

sy = sqrt(R(1,1,:).*R(1,1,:) + R(2,1,:).*R(2,1,:));    

singular = sy < 10 * eps(class(R));
nSing = sum(singular,3);
if nSing > 0
  error('ERROR TODO conversion not working');
end  

eul = [atan2(R(3,2), R(3,3)), atan2(-R(3,1), sy), atan2(R(2,1), R(1,1))]; 


end